org.eclipse.jetty.security.authentication

## Class FormAuthenticator.FormResponse

- java.lang.Object
- - javax.servlet.ServletResponseWrapper
  - - javax.servlet.http.HttpServletResponseWrapper
    - - org.eclipse.jetty.security.authentication.FormAuthenticator.FormResponse

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

Enclosing class:
  FormAuthenticator

    protected static class FormAuthenticator.FormResponse
    extends javax.servlet.http.HttpServletResponseWrapper

### Field Summary

### Fields inherited from interface javax.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

### Constructor Summary

Constructors
Constructor and Description
`FormAuthenticator.FormResponse(javax.servlet.http.HttpServletResponse response)`

### Method Summary

Methods
`void` `addDateHeader(String name, long date)`
`void` `addHeader(String name, String value)`
`void` `setDateHeader(String name, long date)`
`void` `setHeader(String name, String value)`

### Methods inherited from class javax.servlet.http.HttpServletResponseWrapper

`addCookie, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, sendError, sendError, sendRedirect, setIntHeader, setStatus, setStatus`

### Methods inherited from class javax.servlet.ServletResponseWrapper

`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getResponse, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentType, setLocale, setResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.ServletResponse

`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentType, setLocale`

### Constructor Detail

#### FormAuthenticator.FormResponse

    public FormAuthenticator.FormResponse(javax.servlet.http.HttpServletResponse response)

### Method Detail

#### addDateHeader

    public void addDateHeader(String name,
                     long date)

Specified by:
  `addDateHeader` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `addDateHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

#### addHeader

    public void addHeader(String name,
                 String value)

Specified by:
  `addHeader` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `addHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

#### setDateHeader

    public void setDateHeader(String name,
                     long date)

Specified by:
  `setDateHeader` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `setDateHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

#### setHeader

    public void setHeader(String name,
                 String value)

Specified by:
  `setHeader` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `setHeader` in class `javax.servlet.http.HttpServletResponseWrapper`